Subject: "EXOTICA" for sale

From: [email-masked] (Tony Berke)
Date: 19 Dec 1994 09:10:40 -0500

I have a copy of Alfred Byrd Graf's 9th edition of EXOTICA, Pictorial
Cyclopedia of Exotic Plants from Tropical and Near-tropic Regions. It has
12,000 illustrations, with over 204 plants in color and is 1,836 pgs. of
good, solid info on Many sps. of plants. It is in very good condition, and
was purchased for $110.00. It can be yours for $50.00 plus shipping, (if
needed). E-mail can be sent to the above address..